Random.cpp File Reference
`#include <escript/EsysMPI.h>`
`#include <algorithm>`
`#include <vector>`
`#include <boost/random/mersenne_twister.hpp>`

## Namespaces

| escript

## Macros

#define | OMP_LOOP_IDX_T size_t

## Functions

void | escript::randomFillArray (long seed, double *array, size_t n)
void | escript::patternFillArray2D (size_t x, size_t y, double *array, size_t spacing, size_t basex, size_t basey, size_t numpoints)
void | escript::patternFillArray (int pattern, size_t x, size_t y, size_t z, double *array, size_t spacing, size_t basex, size_t basey, size_t basez, size_t numpoints)

## Macro Definition Documentation

## OMP_LOOP_IDX_T

#define OMP_LOOP_IDX_T size_t